Package wx :: Package lib :: Package agw :: Module thumbnailctrl :: Class ThumbnailCtrl

[frames | no frames]

## Type ThumbnailCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            ThumbnailCtrl

Method Summary
| ``__init__`(self, parent, id, pos, size, thumboutline, thumbfilter)` Default class constructor.
| ``GetShowComboBox`(self)` Returns whether the folder combobox is shown.
| ``OnComboBox`(self, event)` Handles the wx.EVT_COMBOBOX for the folder combobox.
| ``RecreateComboBox`(self, newdir)` Recreates the folder combobox every time a new directory is explored.
| ``ShowComboBox`(self, show)` Shows/Hide the top folder ComboBox.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), thumboutline=4, thumbfilter=1)
(Constructor)

    Default class constructor. Non-default parameters are:
    - thumboutline: outline style for ThumbnailCtrl, which may be:
      a) THUMB_OUTLINE_NONE: no outline is drawn on selection;
      b) THUMB_OUTLINE_FULL: full outline (image+caption) is drawn on
         selection;
      c) THUMB_OUTLINE_RECT: only thimb bounding rect is drawn on selection
         (default);
      d) THUMB_OUTLINE_IMAGE: only image bounding rect is drwan.

    - thumbfilter: filter for image/video/audio files. Actually only
      THUMB_FILTER_IMAGES is implemented.

  Overrides:
    `wx.Panel.__init__`

### GetShowComboBox(self)

Returns whether the folder combobox is shown.

### OnComboBox(self, event)

Handles the wx.EVT_COMBOBOX for the folder combobox.

### RecreateComboBox(self, newdir)

Recreates the folder combobox every time a new directory is explored.

### ShowComboBox(self, show=True)

Shows/Hide the top folder ComboBox.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:53 2009 | http://epydoc.sf.net